GeographicLib: GeographicLib::experimental::JacobiConformal Class Reference

GeographicLib 2.5.2

Loading...
Searching...
No Matches
GeographicLib::experimental::JacobiConformal Class Reference

Jacobi's conformal projection of a triaxial ellipsoid. More...

`#include </opt/local/var/macports/build/geographiclib-10de6c0c/work/geographiclib-2.5.2/experimental/JacobiConformal.hpp>`

## Public Member Functions
| JacobiConformal (real a, real b, real c)
| JacobiConformal (real a, real b, real c, real ab, real bc)
Math::real | x () const
Math::real | x (real somg, real comg) const
Math::real | x (real omg) const
Math::real | y () const
Math::real | y (real sbet, real cbet) const
Math::real | y (real bet) const

## Detailed Description

Jacobi's conformal projection of a triaxial ellipsoid.

NOTE: This is just sample code. It is not part of GeographicLib itself.

This is a conformal projection of the ellipsoid to a plane in which the grid lines are straight; see Jacobi, Vorlesungen über Dynamik, §28. The constructor takes the semi-axes of the ellipsoid (which must be in order). Member functions map the ellipsoidal coordinates ω and β separately to x and y. Jacobi's coordinates have been multiplied by (a2−c2)1/2 / (2b) so that the customary results are returned in the cases of a sphere or an ellipsoid of revolution.

The ellipsoid is oriented so that the large principal ellipse, \(Z=0\), is the equator, \(\beta=0\), while the small principal ellipse, \(Y=0\), is the prime meridian, \(\omega=0\). The four umbilic points, \(\left|\omega\right| = \left|\beta\right| = \frac12\pi\), lie on middle principal ellipse in the plane \(X=0\).

For more information on this projection, see Jacobi's conformal projection.

Definition at line 45 of file JacobiConformal.hpp.

## Constructor & Destructor Documentation

## ◆ JacobiConformal() [1/2]

GeographicLib::experimental::JacobiConformal::JacobiConformal | ( | real | a,
|  | real | b,
|  | real | c )
| inline

Constructor for a trixial ellipsoid with semi-axes.

Parameters

  [in] | a | the largest semi-axis.
  [in] | b | the middle semi-axis.
  [in] | c | the smallest semi-axis.

The semi-axes must satisfy a ≥ b ≥ c > 0 and a > c. This form of the constructor cannot be used to specify a sphere (use the next constructor).

Definition at line 65 of file JacobiConformal.hpp.

## ◆ JacobiConformal() [2/2]

GeographicLib::experimental::JacobiConformal::JacobiConformal | ( | real | a,
|  | real | b,
|  | real | c,
|  | real | ab,
|  | real | bc )
| inline

Alternate constructor for a triaxial ellipsoid.

Parameters

  [in] | a | the largest semi-axis.
  [in] | b | the middle semi-axis.
  [in] | c | the smallest semi-axis.
  [in] | ab | the relative magnitude of a − b.
  [in] | bc | the relative magnitude of b − c.

This form can be used to specify a sphere. The semi-axes must satisfy a ≥ b ≥ c > 0. The ratio ab : bc must equal (a−b) : (b−c) with ab ≥ 0, bc ≥ 0, and ab + bc > 0.

Definition at line 96 of file JacobiConformal.hpp.

## Member Function Documentation

## ◆ x() [1/3]

Math::real GeographicLib::experimental::JacobiConformal::x | ( |  | ) | const
| inline

Returns
  the quadrant length in the x direction.

Definition at line 118 of file JacobiConformal.hpp.

References GeographicLib::Math::sq().

Referenced by x().

## ◆ x() [2/3]

Math::real GeographicLib::experimental::JacobiConformal::x | ( | real | somg,
|  | real | comg ) const
| inline

The x projection.

Parameters

  [in] | somg | sin(ω).
  [in] | comg | cos(ω).

Returns
  x.

Definition at line 126 of file JacobiConformal.hpp.

References GeographicLib::Math::sq().

## ◆ x() [3/3]

Math::real GeographicLib::experimental::JacobiConformal::x | ( | real | omg | ) | const
| inline

The x projection.

Parameters

  [in] | omg | ω (in degrees).

Returns
  x (in degrees).

ω must be in [−180°, 180°].

Definition at line 139 of file JacobiConformal.hpp.

References GeographicLib::Math::degree(), GeographicLib::Math::sincosd(), and x().

## ◆ y() [1/3]

Math::real GeographicLib::experimental::JacobiConformal::y | ( |  | ) | const
| inline

Returns
  the quadrant length in the y direction.

Definition at line 147 of file JacobiConformal.hpp.

References GeographicLib::Math::sq().

Referenced by y().

## ◆ y() [2/3]

Math::real GeographicLib::experimental::JacobiConformal::y | ( | real | sbet,
|  | real | cbet ) const
| inline

The y projection.

Parameters

  [in] | sbet | sin(β).
  [in] | cbet | cos(β).

Returns
  y.

Definition at line 155 of file JacobiConformal.hpp.

References GeographicLib::Math::sq().

## ◆ y() [3/3]

Math::real GeographicLib::experimental::JacobiConformal::y | ( | real | bet | ) | const
| inline

The y projection.

Parameters

  [in] | bet | β (in degrees).

Returns
  y (in degrees).

β must be in (−180°, 180°].

Definition at line 168 of file JacobiConformal.hpp.

References GeographicLib::Math::degree(), GeographicLib::Math::sincosd(), and y().

The documentation for this class was generated from the following file:

- JacobiConformal.hpp